/**
 * L2FProd.com Common Components 0.2-dev License.
 *
 * Copyright 2005 L2FProd.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.starbeans.modules.startip.actions;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import org.openide.awt.ActionID;
import org.openide.awt.ActionReference;
import org.openide.awt.ActionRegistration;
import org.openide.util.NbBundle.Messages;
import org.starbeans.modules.startip.TipManager;

@ActionID(
        category = "Help",
        id = "org.starbeans.modules.startip.actions.TipoftheDayAction"
)
@ActionRegistration(
        iconBase = "org/starbeans/modules/startip/resources/tipoftheday16.png",
        displayName = "#CTL_TipoftheDayAction"
)
@ActionReference(path = "Menu/Help", position = 950)
@Messages("CTL_TipoftheDayAction=Tip of the Day")
public final class TipoftheDayAction implements ActionListener {

    @Override
    public void actionPerformed(ActionEvent e) {
        try {
            TipManager.showTipoftheDay(true);
        } catch (Exception ex) {
            TipManager.setShowingOnStartupPref(false);
        }
    }
}
