/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common
 * Development and Distribution License("CDDL") (collectively, the
 * "License"). You may not use this file except in compliance with the
 * License. You can obtain a copy of the License at
 * http://www.netbeans.org/cddl-gplv2.html
 * or sbbuild/licenses/cddl-gpl-2-cp.txt. See the License for the
 * specific language governing permissions and limitations under the
 * License.  When distributing the software, include this License Header
 * Notice in each file and include the License file at
 * sbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Sun in the GPL Version 2 section of the License file that
 * accompanied this code. If applicable, add the following below the
 * License Header, with the fields enclosed by brackets [] replaced by
 * your own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * Contributor(s): 
 * George Waldon
 *
 * The Original Software is NetBeans. The Initial Developer of the Original
 * Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
 * Microsystems, Inc. All Rights Reserved.
 *
 * If you wish your version of this file to be governed by only the CDDL
 * or only the GPL Version 2, indicate your decision by adding
 * "[Contributor] elects to include this software in this distribution
 * under the [CDDL or GPL Version 2] license." If you do not indicate a
 * single choice of license, a recipient has the option to distribute
 * your version of this file under either the CDDL, the GPL Version 2 or
 * to extend the choice of license to its licensees as provided above.
 * However, if you add GPL Version 2 code and therefore, elected the GPL
 * Version 2 license, then the option applies only if the new code is
 * made subject to such option by the copyright holder.
 */

package org.starbeans.modules.starview.browser;

import java.awt.event.ActionEvent;
import java.net.URL;
import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import org.openide.awt.HtmlBrowser;
import org.openide.filesystems.FileObject;
import org.openide.util.ImageUtilities;

public class BookmarkAction extends AbstractAction {

    private String urlString;

    public BookmarkAction(FileObject config) {
        super((String) config.getAttribute("displayName")); //NOI18N
        String iconString = (String) config.getAttribute("iconBase"); //NOI18N
        if (iconString == null || iconString.isEmpty()) {
            Icon icon = new ImageIcon(ImageUtilities.loadImage("org/starbeans/modules/corelite/resources/webicon.png")); //NOI18N
            putValue(Action.SMALL_ICON, icon);
        } else {
            Icon icon = new ImageIcon(ImageUtilities.loadImage(iconString));
            putValue(Action.SMALL_ICON, icon);
            putValue("iconBase", iconString);
        }
        urlString = (String) config.getAttribute("url"); //NOI18N
    }

    public static BookmarkAction createFactory(FileObject config) {
        return new BookmarkAction(config);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        URL url = IUtil.getURLFromString(urlString);
        HtmlBrowser.URLDisplayer.getDefault().showURL(url);
    }
}
